.cookie-banner {
  position: fixed;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  bottom: 0;
  left: 0;
  z-index: 1000;
}

.cookie-banner .cookie-banner-container {
  margin: 0 auto;
  width: 75vw;
  padding: 30px 0;
  font-size: 2.564vw;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-flow: column;
}

.cookie-banner .cookie-banner-container a {
  text-decoration: underline 1px;
  text-underline-offset: 3px;
}

.cookie-banner .cookie-banner-container .cookie-banner-button {
  margin: 2vw 0 0;
  text-align: center;
}

.cookie-banner .cookie-banner-container .cookie-banner-button button {
  background-color: #444444;
  border: none;
  border-radius: 40px;
  color: #fff;
  height: 7vw;
  width: 40vw;
  margin-bottom: 10px;
}

@media only screen and (min-width: 768px) {
  .cookie-banner .cookie-banner-container {
    font-size: 14px;
    flex-flow: row;
  }

  .cookie-banner .cookie-banner-container a {
    transition: 0.5s opacity;
    text-underline-offset: 5px;
  }

  .cookie-banner .cookie-banner-container .cookie-banner-button {
    margin: 0 0 0 24px;
  }

  .cookie-banner .cookie-banner-container .cookie-banner-button button {
    height: 50px;
    width: 180px;
    margin-bottom: 10px;
    transition: 0.5s opacity;
  }

  .cookie-banner .cookie-banner-container .cookie-banner-button button:hover {
    opacity: 0.5;
  }
}

@media only screen and (min-width: 1024px) {
  .cookie-banner .cookie-banner-container {
    padding: 1.56vw;
    font-size: 1.167vw;
  }

  .cookie-banner .cookie-banner-container a {
    text-underline-offset: 0.4vw;
  }

  .cookie-banner .cookie-banner-container .cookie-banner-button {
    margin: 0 0 0 2vw;
  }

  .cookie-banner .cookie-banner-container .cookie-banner-button button {
    height: 3vw;
    width: 15vw;
    margin-bottom: 0.8vw;
  }
}
